Retrieves a node specified by index

- « DOMNamedNodeMap::getNamedItemNS

- DOMNameSpaceNode »

- PHP Manual
- DOMNamedNodeMap
- Retrieves a node specified by index

# DOMNamedNodeMap::item

(PHP 5, PHP 7, PHP 8)

DOMNamedNodeMap::item — Retrieves a node specified by index

### Description

public DOMNamedNodeMap::item(int `$index`): ?DOMNode

Retrieves a node specified by `index` within the DOMNamedNodeMap object.

### Parameters

`index`

  Index into this map.

### Return Values

The node at the `index`th position in the map, or `null` if that is not a valid index (greater than or equal to the number of nodes in this map).